{% extends 'my_vl_app/base.html' %}

{% block content %}
<div class="b-example-divider"></div>
<div class="container">
    {% if control == 'updated' %}
        <div class="alert alert-success" role="alert">
            The bookshelf was updated successfully!
        </div>
    {% elif control == 'error' %}
        <div class="alert alert-danger" role="alert">
            An unexpected error occurred while updating the bookshelf, contact the administrator!
        </div>
    {% endif %}
    <div class="card">
        <h5 class="card-header">bookshelf</h5>
        <div class="card-body">
            <h5 class="card-title">Update a bookshelf in the virtual library</h5>
            <form class="p-4 p-md-5 border rounded-3 bg-light" action="{% url 'update_bookshelf' %}" method="post">
                {% csrf_token %}
                <div class="form-group mb-3">

                    {% for bookshelf in bookshelfs %}
                        {% if forloop.first %}
                            <label for="inputBookshelf_id" class="form-label">Bookshelf id</label>
                            <select id="inputBookshelf_id" name="inputBookshelf_id" class="form-select mb-3">
                            <option selected>{{ bookshelf.id }}</option>
                        {% else %}
                            <option>{{ bookshelf.id }}</option>
                        {% endif %}
                        {% empty %}
                            <h1>There are no bookshelves to Update</h1>
                    {% endfor %}
                    </select>

                    {% if bookshelfs %}
                        <label for="inputCategory" class="form-label">Category</label>
                        <select id="inputCategory" name="inputCategory" class="form-select mb-3">
                            {% for category in categories %}
                                {% if forloop.first %}
                                <option selected>{{ category }}</option>
                                {% else %}
                                    <option>{{ category }}</option>
                                {% endif %}
                            {% endfor %}
                        </select>
                    {% endif %}
                </div>
                {% if bookshelfs %}
                    <button type="submit" class="btn btn-warning">Update</button>
                {% endif %}
                <button type="button" onclick="window.location.href='{% url 'home' %}'" class="btn btn-primary">Return</button>
            </form>
        </div>
    </div>
</div>
{% endblock %}
